# Interface GenericObjectPoolMXBean

All Known Implementing Classes:
  `GenericObjectPool`

public interface GenericObjectPoolMXBean
Defines the methods that will be made available via JMX.

## Note

This interface exists only to define those attributes and methods that will be made available via JMX. It must not be implemented by clients as it is subject to change between major, minor and patch version releases of commons pool. Clients that implement this interface may not, therefore, be able to upgrade to a new minor or patch release without requiring code changes.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`boolean`
`getBlockWhenExhausted()`
See `BaseGenericObjectPool.getBlockWhenExhausted()`.
`long`
`getBorrowedCount()`
See `BaseGenericObjectPool.getBorrowedCount()`.
`long`
`getCreatedCount()`
See `BaseGenericObjectPool.getCreatedCount()`.
`String`
`getCreationStackTrace()`
See `BaseGenericObjectPool.getCreationStackTrace()`.
`long`
`getDestroyedByBorrowValidationCount()`
See `BaseGenericObjectPool.getDestroyedByBorrowValidationCount()`.
`long`
`getDestroyedByEvictorCount()`
See `BaseGenericObjectPool.getDestroyedByEvictorCount()`.
`long`
`getDestroyedCount()`
See `BaseGenericObjectPool.getDestroyedCount()`.
`String`
`getFactoryType()`
See `GenericObjectPool.getFactoryType()`.
`boolean`
`getFairness()`
See `BaseGenericObjectPool.getLifo()`.
`boolean`
`getLifo()`
See `BaseGenericObjectPool.getFairness()`.
`boolean`
`getLogAbandoned()`
See `BaseGenericObjectPool.getLogAbandoned()`.
`long`
`getMaxBorrowWaitTimeMillis()`
See `BaseGenericObjectPool.getMaxBorrowWaitTimeMillis()`.
`int`
`getMaxIdle()`
See `GenericObjectPool.getMaxIdle()`.
`int`
`getMaxTotal()`
See `BaseGenericObjectPool.getMaxTotal()`.
`long`
`getMaxWaitMillis()`
See `BaseGenericObjectPool.getMaxWaitDuration()`.
`long`
`getMeanActiveTimeMillis()`
See `BaseGenericObjectPool.getMeanActiveTimeMillis()`.
`long`
`getMeanBorrowWaitTimeMillis()`
See `BaseGenericObjectPool.getMeanBorrowWaitTimeMillis()`.
`long`
`getMeanIdleTimeMillis()`
See `BaseGenericObjectPool.getMeanIdleTimeMillis()`.
`long`
`getMinEvictableIdleTimeMillis()`
See `BaseGenericObjectPool.getMinEvictableIdleDuration()`.
`int`
`getMinIdle()`
See `GenericObjectPool.getMinIdle()`.
`int`
`getNumActive()`
See `GenericObjectPool.getNumActive()`.
`int`
`getNumIdle()`
See `GenericObjectPool.getNumIdle()`.
`int`
`getNumTestsPerEvictionRun()`
See `BaseGenericObjectPool.getNumTestsPerEvictionRun()`.
`int`
`getNumWaiters()`
See `GenericObjectPool.getNumWaiters()`.
`boolean`
`getRemoveAbandonedOnBorrow()`
See `BaseGenericObjectPool.getRemoveAbandonedOnBorrow()`.
`boolean`
`getRemoveAbandonedOnMaintenance()`
See `BaseGenericObjectPool.getRemoveAbandonedOnMaintenance()`.
`int`
`getRemoveAbandonedTimeout()`
See `BaseGenericObjectPool.getRemoveAbandonedTimeoutDuration()`.
`long`
`getReturnedCount()`
See `BaseGenericObjectPool.getReturnedCount()`.
`boolean`
`getTestOnBorrow()`
See `BaseGenericObjectPool.getTestOnBorrow()`.
`boolean`
`getTestOnCreate()`
See `BaseGenericObjectPool.getTestOnCreate()`.
`boolean`
`getTestOnReturn()`
See `BaseGenericObjectPool.getTestOnReturn()`.
`boolean`
`getTestWhileIdle()`
See `BaseGenericObjectPool.getTestWhileIdle()`.
`long`
`getTimeBetweenEvictionRunsMillis()`
See `BaseGenericObjectPool.getDurationBetweenEvictionRuns()`.
`boolean`
`isAbandonedConfig()`
See `BaseGenericObjectPool.isAbandonedConfig()`.
`boolean`
`isClosed()`
See `BaseGenericObjectPool.isClosed()`.
`Set<DefaultPooledObjectInfo>`
`listAllObjects()`
See `GenericObjectPool.listAllObjects()`.

## Method Details

### getBlockWhenExhausted

boolean getBlockWhenExhausted()
See `BaseGenericObjectPool.getBlockWhenExhausted()`.

Returns:
  See `BaseGenericObjectPool.getBlockWhenExhausted()`.

### getBorrowedCount

long getBorrowedCount()
See `BaseGenericObjectPool.getBorrowedCount()`.

Returns:
  See `BaseGenericObjectPool.getBorrowedCount()`.

### getCreatedCount

long getCreatedCount()
See `BaseGenericObjectPool.getCreatedCount()`.

Returns:
  See `BaseGenericObjectPool.getCreatedCount()`.

### getCreationStackTrace

String getCreationStackTrace()
See `BaseGenericObjectPool.getCreationStackTrace()`.

Returns:
  See `BaseGenericObjectPool.getCreationStackTrace()`.

### getDestroyedByBorrowValidationCount

long getDestroyedByBorrowValidationCount()
See `BaseGenericObjectPool.getDestroyedByBorrowValidationCount()`.

Returns:
  See `BaseGenericObjectPool.getDestroyedByBorrowValidationCount()`.

### getDestroyedByEvictorCount

long getDestroyedByEvictorCount()
See `BaseGenericObjectPool.getDestroyedByEvictorCount()`.

Returns:
  See `BaseGenericObjectPool.getDestroyedByEvictorCount()`.

### getDestroyedCount

long getDestroyedCount()
See `BaseGenericObjectPool.getDestroyedCount()`.

Returns:
  See `BaseGenericObjectPool.getDestroyedCount()`.

### getFactoryType

String getFactoryType()
See `GenericObjectPool.getFactoryType()`.

Returns:
  See `GenericObjectPool.getFactoryType()`.

### getFairness

boolean getFairness()
See `BaseGenericObjectPool.getLifo()`.

Returns:
  See `BaseGenericObjectPool.getLifo()`.

### getLifo

boolean getLifo()
See `BaseGenericObjectPool.getFairness()`.

Returns:
  See `BaseGenericObjectPool.getFairness()`.

### getLogAbandoned

boolean getLogAbandoned()
See `BaseGenericObjectPool.getLogAbandoned()`.

Returns:
  See `BaseGenericObjectPool.getLogAbandoned()`.

### getMaxBorrowWaitTimeMillis

long getMaxBorrowWaitTimeMillis()
See `BaseGenericObjectPool.getMaxBorrowWaitTimeMillis()`.

Returns:
  See `BaseGenericObjectPool.getMaxBorrowWaitTimeMillis()`.

### getMaxIdle

int getMaxIdle()
See `GenericObjectPool.getMaxIdle()`.

Returns:
  See `GenericObjectPool.getMaxIdle()`.

### getMaxTotal

int getMaxTotal()
See `BaseGenericObjectPool.getMaxTotal()`.

Returns:
  See `BaseGenericObjectPool.getMaxTotal()`.

### getMaxWaitMillis

long getMaxWaitMillis()
See `BaseGenericObjectPool.getMaxWaitDuration()`.

Returns:
  See `BaseGenericObjectPool.getMaxWaitDuration()`.

### getMeanActiveTimeMillis

long getMeanActiveTimeMillis()
See `BaseGenericObjectPool.getMeanActiveTimeMillis()`.

Returns:
  See `BaseGenericObjectPool.getMeanActiveTimeMillis()`.

### getMeanBorrowWaitTimeMillis

long getMeanBorrowWaitTimeMillis()
See `BaseGenericObjectPool.getMeanBorrowWaitTimeMillis()`.

Returns:
  See `BaseGenericObjectPool.getMeanBorrowWaitTimeMillis()`.

### getMeanIdleTimeMillis

long getMeanIdleTimeMillis()
See `BaseGenericObjectPool.getMeanIdleTimeMillis()`.

Returns:
  See `BaseGenericObjectPool.getMeanIdleTimeMillis()`.

### getMinEvictableIdleTimeMillis

long getMinEvictableIdleTimeMillis()
See `BaseGenericObjectPool.getMinEvictableIdleDuration()`.

Returns:
  See `BaseGenericObjectPool.getMinEvictableIdleDuration()`.

### getMinIdle

int getMinIdle()
See `GenericObjectPool.getMinIdle()`.

Returns:
  See `GenericObjectPool.getMinIdle()`.

### getNumActive

int getNumActive()
See `GenericObjectPool.getNumActive()`.

Returns:
  See `GenericObjectPool.getNumActive()`.

### getNumIdle

int getNumIdle()
See `GenericObjectPool.getNumIdle()`.

Returns:
  See `GenericObjectPool.getNumIdle()`.

### getNumTestsPerEvictionRun

int getNumTestsPerEvictionRun()
See `BaseGenericObjectPool.getNumTestsPerEvictionRun()`.

Returns:
  See `BaseGenericObjectPool.getNumTestsPerEvictionRun()`.

### getNumWaiters

int getNumWaiters()
See `GenericObjectPool.getNumWaiters()`.

Returns:
  See `GenericObjectPool.getNumWaiters()`.

### getRemoveAbandonedOnBorrow

boolean getRemoveAbandonedOnBorrow()
See `BaseGenericObjectPool.getRemoveAbandonedOnBorrow()`.

Returns:
  See `BaseGenericObjectPool.getRemoveAbandonedOnBorrow()`.

### getRemoveAbandonedOnMaintenance

boolean getRemoveAbandonedOnMaintenance()
See `BaseGenericObjectPool.getRemoveAbandonedOnMaintenance()`.

Returns:
  See `BaseGenericObjectPool.getRemoveAbandonedOnMaintenance()`.

### getRemoveAbandonedTimeout

int getRemoveAbandonedTimeout()
See `BaseGenericObjectPool.getRemoveAbandonedTimeoutDuration()`.

Returns:
  See `BaseGenericObjectPool.getRemoveAbandonedTimeoutDuration()`.

### getReturnedCount

long getReturnedCount()
See `BaseGenericObjectPool.getReturnedCount()`.

Returns:
  See `BaseGenericObjectPool.getReturnedCount()`.

### getTestOnBorrow

boolean getTestOnBorrow()
See `BaseGenericObjectPool.getTestOnBorrow()`.

Returns:
  See `BaseGenericObjectPool.getTestOnBorrow()`.

### getTestOnCreate

boolean getTestOnCreate()
See `BaseGenericObjectPool.getTestOnCreate()`.

Returns:
  See `BaseGenericObjectPool.getTestOnCreate()`.
Since:
  2.2

### getTestOnReturn

boolean getTestOnReturn()
See `BaseGenericObjectPool.getTestOnReturn()`.

Returns:
  See `BaseGenericObjectPool.getTestOnReturn()`.

### getTestWhileIdle

boolean getTestWhileIdle()
See `BaseGenericObjectPool.getTestWhileIdle()`.

Returns:
  See `BaseGenericObjectPool.getTestWhileIdle()`.

### getTimeBetweenEvictionRunsMillis

long getTimeBetweenEvictionRunsMillis()
See `BaseGenericObjectPool.getDurationBetweenEvictionRuns()`.

Returns:
  See `BaseGenericObjectPool.getDurationBetweenEvictionRuns()`.

### isAbandonedConfig

boolean isAbandonedConfig()
See `BaseGenericObjectPool.isAbandonedConfig()`.

Returns:
  See `BaseGenericObjectPool.isAbandonedConfig()`.

### isClosed

boolean isClosed()
See `BaseGenericObjectPool.isClosed()`.

Returns:
  See `BaseGenericObjectPool.isClosed()`.

### listAllObjects

Set<DefaultPooledObjectInfo> listAllObjects()
See `GenericObjectPool.listAllObjects()`.

Returns:
  See `GenericObjectPool.listAllObjects()`.